import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart' show defaultTargetPlatform, TargetPlatform;

class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;

      default:
        throw UnsupportedError('Unsupported platform');
    }
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'YOUR_ANDROID_API_KEY',
    appId: 'YOUR_ANDROID_APP_ID',
    messagingSenderId: 'YOUR_ANDROID_MESSAGING_SENDER_ID',
    projectId: 'YOUR_PROJECT_ID',
    storageBucket: 'YOUR_STORAGE_BUCKET',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyALflIdpAN8W4jdK73icGUFatyGH_cdOQo',
    appId: '1:859494319187:ios:59519b2bc6238b6c5572a6',
    messagingSenderId: '859494319187',
    projectId: 'moodcanvas-31621',
    storageBucket: 'moodcanvas-31621.firebasestorage.app',
    iosBundleId: 'com.moodCanvasWalls.moodCanvasWalls',
  );
}
